import { render, screen } from '@testing-library/react';
import React from 'react';

import { AppContext } from '../../../__mocks__/app-context-mock';
import Page from '../landing';

describe('Landing page', () => {
  test('renders page structure', () => {
    const { container } = render(
      <AppContext>
        <Page />
      </AppContext>,
    );

    expect(container).toMatchSnapshot();

    expect(screen.getByTestId('hero-section')).toBeInTheDocument();
    expect(screen.getByTestId('benefits-section')).toBeInTheDocument();
    expect(screen.getByTestId('social-proof-section')).toBeInTheDocument();
    expect(screen.getByTestId('footer')).toBeInTheDocument();
  });
});
